| MINI55_BSP V3.03.000 The Board Support Package for Mini55 Series MCU

Functions | Variables
system_Mini55Series.c File Reference

Mini55 series system clock init code and assert handler. More...

`#include <stdint.h>`
`#include "Mini55Series.h"`
Include dependency graph for system_Mini55Series.c:

Go to the source code of this file.

## Functions
int32_t | SystemInit (void)
| Check HIRC clock rate feed to HCLK. More...
void | SystemCoreClockUpdate (void)
| This function is used to update the variable SystemCoreClock and must be called whenever the core clock is changed. More...

## Variables
uint32_t | gau32HIRCTbl [4] = {__IRC48M, __IRC48M_DIV2, __IRC44M, __IRC44M_DIV2}
uint32_t | __HSI = __IRC44M_DIV2
uint32_t | SystemCoreClock = __SYSTEM_CLOCK
uint32_t | CyclesPerUs

## Detailed Description

Mini55 series system clock init code and assert handler.

Version
  V1.00

Revision
  5

Date
  15/06/29 11:16a

Note
  SPDX-License-Identifier: Apache-2.0 Copyright (C) 2014 Nuvoton Technology Corp. All rights reserved.

Definition in file system_Mini55Series.c.

## Function Documentation

## ◆ SystemCoreClockUpdate()

void SystemCoreClockUpdate | ( | void |  | ) |

This function is used to update the variable SystemCoreClock and must be called whenever the core clock is changed.

Updates the SystemCoreClock with current core Clock retrieved from CPU registers.

Parameters

  None. |

Return values

  None. |

Definition at line 59 of file system_Mini55Series.c.

Here is the caller graph for this function:

## ◆ SystemInit()

int32_t SystemInit | ( | void |  | ) |

Check HIRC clock rate feed to HCLK.

Returns
  none

Definition at line 31 of file system_Mini55Series.c.

## Variable Documentation

## ◆ __HSI

uint32_t __HSI = __IRC44M_DIV2

Factory Default is internal high speed RC 44.2368M divided by 2

Definition at line 21 of file system_Mini55Series.c.

## ◆ CyclesPerUs

uint32_t CyclesPerUs

Cycles per micro second

Definition at line 23 of file system_Mini55Series.c.

## ◆ gau32HIRCTbl

uint32_t gau32HIRCTbl[4] = {__IRC48M, __IRC48M_DIV2, __IRC44M, __IRC44M_DIV2}

Definition at line 20 of file system_Mini55Series.c.

## ◆ SystemCoreClock

uint32_t SystemCoreClock = __SYSTEM_CLOCK

System Clock Frequency (Core Clock)

Definition at line 22 of file system_Mini55Series.c.